<?php

if (!defined('_PS_VERSION_')) {
    exit;
}

$autoloadPath = __DIR__ . '/vendor/autoload.php';
if (file_exists($autoloadPath)) {
    require_once $autoloadPath;
}

class PrestashopExampleModule extends Module
{

    public function __construct()
    {
        $this->name = 'prestashopexamplemodule';
        $this->tab = 'administration';
        $this->version = '1.0.0';
        $this->author = 'sowbiba';
        $this->need_instance = 1;

        /*
         * Set $this->bootstrap to true if your module is compliant with bootstrap (PrestaShop 1.6)
         */
        $this->bootstrap = true;

        parent::__construct();

        $this->displayName = $this->l('Example module for Prestashop');
        $this->description = $this->l('Example module for Prestashop');
        $this->extraDescription = $this->l('Shows how to use Prestashop\ModuleLibMboInstaller\DependencyBuilder');

        $this->ps_versions_compliancy = ['min' => '1.7', 'max' => _PS_VERSION_];
    }

    public function isUsingNewTranslationSystem()
    {
        return true;
    }

    /**
     * Load the configuration page content
     */
    public function getContent()
    {
        $mboInstaller = new Prestashop\ModuleLibMboInstaller\DependencyBuilder($this);
        $requiredDependencies = $mboInstaller->handleDependencies();

        $this->smarty->assign('requiredDependencies', $requiredDependencies);
        return $this->display(__FILE__, 'views/templates/admin/dependency_builder.tpl');
    }
}
